Bug 636591 - SELinux is preventing /bin/bash "search" access on dirsrv.
SELinux is preventing /bin/bash "search" access on dirsrv.
Status: CLOSED NOTABUG
Product: 389
Classification: Community
Component: Admin (Show other bugs)
1.2.6
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
setroubleshoot_trace_hash:e168b782c76...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-22 12:18 EDT by Jim Kinney
Modified: 2015-01-04 18:44 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-04 17:46:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Kinney 2010-09-22 12:18:37 EDT
Summary:

SELinux is preventing /bin/bash "search" access on dirsrv.

Detailed Description:

[start-ds-admin has a permissive type (dirsrvadmin_t). This access was not
denied.]

SELinux denied access requested by ldd. It is not expected that this access is
required by ldd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:dirsrvadmin_t:s0
Target Context                system_u:object_r:dirsrv_config_t:s0
Target Objects                dirsrv [ dir ]
Source                        start-ds-admin
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.0.38-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-121.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.21-168.fc12.x86_64 #1 SMP Wed Sep 15
                              16:12:07 UTC 2010 x86_64 x86_64
Alert Count                   6
First Seen                    Wed 22 Sep 2010 11:56:56 AM EDT
Last Seen                     Wed 22 Sep 2010 12:06:33 PM EDT
Local ID                      8da641b9-8661-4a89-ac9e-b6f867c4fc49
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1285171593.80:22150): avc:  denied  { search } for  pid=3765 comm="ldd" name="dirsrv" dev=dm-0 ino=135399 scontext=unconfined_u:system_r:dirsrvadmin_t:s0 tcontext=system_u:object_r:dirsrv_config_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1285171593.80:22150): arch=c000003e syscall=4 success=yes exit=128 a0=101e040 a1=7fffc1b3cf10 a2=7fffc1b3cf10 a3=7fffc1b3cc00 items=0 ppid=3762 pid=3765 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=1 comm="ldd" exe="/bin/bash" subj=unconfined_u:system_r:dirsrvadmin_t:s0 key=(null)



Hash String generated from  catchall,start-ds-admin,dirsrvadmin_t,dirsrv_config_t,dir,search
audit2allow suggests:

#============= dirsrvadmin_t ==============
allow dirsrvadmin_t dirsrv_config_t:dir search;
Comment 1 Jim Kinney 2010-09-22 12:21:51 EDT
Occurred while launching /etc/init.d/dirsrv-admin start

389-ds appears to have incorrect context.
Comment 2 Rich Megginson 2010-09-22 16:19:07 EDT
Does this only affect F-12?
Comment 3 Jim Kinney 2010-09-22 16:24:19 EDT
I have not gone through the installation of dogtag on F13 yet. Using F12 for now as it's "closest" to RHEL 6 beta and many parts not available (yet - I hope) for RHEL 6 using dogtag sub-parts like tomcat5.
Comment 4 Jim Kinney 2010-09-28 16:55:50 EDT
reinstalled Fedora 12 using the updates repo during the install and none of the
AVC bugs reappeared. There may have been a policy update I was missing.

Note You need to log in before you can comment on or make changes to this bug.